Google Web Toolkit
Search Google Code:

# Interface HasMetaData

public interface HasMetaData
// Implemented by `JAbstractMethod`, `JClassType`, `JField`, `JParameter`
Manages doc comment metadata for an AST item. The structure of the metadata attempts to mirror the way in which tags and values were originally declared.

For example, for the following declaration

     /**
      * @myTag value1 value2
      * @myTag value3 value4
      * ...

a call to `getMetaData("myTag")` would return this array of string arrays

    [0][0] = value1
    [0][1] = value2
    [1][0] = value3
    [1][1] = value4

## Methods

addMetaData(String, String[]) | Adds additional metadata.
getMetaData(String) | Gets each list of metadata for the specified tag name.
getMetaDataTags() | Gets the name of available metadata tags.

## Method Detail

### addMetaData

public void addMetaData(String tagName, String[] values)
Adds additional metadata.

#### Parameters

tagName
values

### getMetaData

public String[][] getMetaData(String tagName)
Gets each list of metadata for the specified tag name.

#### Parameters

tagName

### getMetaDataTags

public String[] getMetaDataTags()
Gets the name of available metadata tags.